Subject: Re: Compiler problems.
From: [email-masked]

18 Sep 1997 11:58:03 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Smith, Eric" <[email-masked]>
Cc: [email-masked]

See the correction at the GCC_EXEC_PREFIX set below:

> I have just reinstalled the Cygnus CDK to a non-default
> directory and am testing the gcc compiler.  Each time I try to
> compile a small program I get the following : 
>  
> bash$ gcc -o TEST_GCC.exe Test_1.c 
> gcc: installation problem, cannot exec `cpp': No such file or
> directory gcc: Internal compiler error: program cpp got fatal
> signal 127 
> bash$ 
>  
> I have installed the CDK onto NT 4.0 in a directory
> C:\\Unix_Root  	and renamed the C:\\Unix_Root\\H_i386_cygnus32
> to C:\\Unix_Root\\sys  
> The following is my mount table data : 
>  
> bash$ mount 
> Device           			Directory     	Type    		Flags 
> \\.\tape1:       			/dev/st1         	native     
> 	no-mixed,text!=binary \\.\tape0:       			/dev/st0        
> 	native      	no-mixed,text!=binary \\.\b:           			/dev/fd1
>        	native      	no-mixed,text!=binary \\.\a:          

> 			/dev/fd0     	native      	no-mixed,text!=binary
> C:\Unix_Root\sys\bin 		/bin                	native 
> 	no-mixed,text=binary 
> c:\Unix_root     		/                   	native 
> 	no-mixed,text=binary 
> bash$ 
>  
> I have set the environment variables as follows (as seen from
> bash env command): 
>  
> GDBTK_LIBRARY=C:/Unix_Root/share/gdbtcl 
> TCL_LIBRARY=C:/Unix_Root/tcl/lib/tcl7.6 
> PATH=//C/WINNT/system32://C/WINNT://C/ORANT/BIN:.://C/USR/BIN:/bi
> n:/tcl/ bin://C/PVCS/NT://C/PROGRAM FILES/DR 
> SOLOMON/TOOLKIT:://C/VISIO://C/VIM-4.5 

your problem is here:

> GCC_EXEC_PREFIX=C:\Unix_Root\sys\lib\gcc-lib\ 

instead set:

GCC_EXEC_PREFIX=//C/Unix_Root/sys/lib/gcc-lib/

>  
> Is there something missing?  Does something have to be moved? 
> Is the path incomplete?   
>  
> Eric M. Smith 
> telephone               : (423) 229-2254 
> profs/officevision     : XGIB003 
> internet -- business : [email-masked] 
> internet -- personal  : [email-masked] 
>  
> Do not meddle in the affairs of wizards, for they are quick to
> anger. Do not meddle in the affairs of dragons, for you are
> crunchy and taste good with ketchup. 
>  
> - 
> For help on using this list (especially unsubscribing), send a
> message to "[email-masked]" with one line of text:
> "help". 

____________________________________________________________________
Get free e-mail and a permanent address at http://www.netaddress.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".